Blame 0019-cli-use-portable-syntax-in-abrt-console-notification.patch

0b651cb
From 05bf4d55d0316f6048b327399cef0db941db29e8 Mon Sep 17 00:00:00 2001
0b651cb
From: Jakub Filak <jfilak@redhat.com>
0b651cb
Date: Mon, 15 Sep 2014 13:43:10 +0200
0b651cb
Subject: [PATCH] cli: use portable syntax in abrt-console-notification
0b651cb
0b651cb
Thanks Dominic Cleal
0b651cb
0b651cb
Resolves rhbz#1141485
0b651cb
Related to rhbz#1139001
0b651cb
0b651cb
Signed-off-by: Jakub Filak <jfilak@redhat.com>
0b651cb
---
0b651cb
 src/cli/abrt-console-notification.sh | 10 +++++-----
0b651cb
 1 file changed, 5 insertions(+), 5 deletions(-)
0b651cb
0b651cb
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
0b651cb
index 0090747..849273c 100755
0b651cb
--- a/src/cli/abrt-console-notification.sh
0b651cb
+++ b/src/cli/abrt-console-notification.sh
0b651cb
@@ -19,21 +19,21 @@ SINCEFILE="$LPATHDIR/lastnotification"
0b651cb
 
0b651cb
 if [ ! -f "$LPATHDIR" ]; then
0b651cb
     # It might happen that user doesn't have write access on his home.
0b651cb
-    mkdir -p "$LPATHDIR" &> "$ABRT_DEBUG_LOG" || exit 0
0b651cb
+    mkdir -p "$LPATHDIR" >"$ABRT_DEBUG_LOG" 2>&1 || exit 0
0b651cb
 fi
0b651cb
 
0b651cb
 TMPPATH=`mktemp --tmpdir="$LPATHDIR" lastnotification.XXXXXXXX 2> "$ABRT_DEBUG_LOG"`
0b651cb
 
0b651cb
 SINCE=0
0b651cb
 if [ -f "$SINCEFILE" ]; then
0b651cb
-    SINCE=`cat $SINCEFILE 2> "$ABRT_DEBUG_LOG"`
0b651cb
+    SINCE=`cat $SINCEFILE 2>"$ABRT_DEBUG_LOG"`
0b651cb
 fi
0b651cb
 
0b651cb
 # always update the lastnotification
0b651cb
 if [ -f "$TMPPATH" ]; then
0b651cb
     # Be quite in case of errors and don't scare users by strange error messages.
0b651cb
-    date +%s > "$TMPPATH" 2> "$ABRT_DEBUG_LOG"
0b651cb
-    mv -f "$TMPPATH" "$SINCEFILE" &> "$ABRT_DEBUG_LOG"
0b651cb
+    date +%s > "$TMPPATH" 2>"$ABRT_DEBUG_LOG"
0b651cb
+    mv -f "$TMPPATH" "$SINCEFILE" >"$ABRT_DEBUG_LOG" 2>&1
0b651cb
 fi
0b651cb
 
0b651cb
-abrt-cli status --since="$SINCE" 2> "$ABRT_DEBUG_LOG"
0b651cb
+abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG"
0b651cb
-- 
0b651cb
1.9.3
0b651cb